! Copyright (C) 2019-2023:
!   Max Planck Institut fuer extraterrestrische Physik (MPE)
!   Leibniz Institute for Astrophysics Potsdam (AIP)
!
! This file is part of eROSITA's Science Analysis Software System
! (eSASS) (https://erosita.mpe.mpg.de/). It is free software; you can
! redistribute it and/or modify it under the terms of the GNU General
! Public License as published by the Free Software Foundation; either
! version 2 of the License, or (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
! General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this library; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
! USA, or see https://www.gnu.org/licenses/.

program main

  character ( len = 60) name  
  character ( len = 50) filename

  name="psf"

  iname = index(name,' ') - 1      

  ISRC=10
  IE=211
  !filename=name(1:iname)//"_"//".img"
  
  write (filename, "(I4.4, A1, I4.4)") &
       ISRC, "_", IE
  filename=name(1:iname)//trim(filename)//'.img'

  write(*,*) trim(filename)
  
  open(UNIT=10,file=filename,STATUS='NEW')
  write(10,*)"CRAP"
  close(10)

  stop
end program main

  
