#! /bin/csh
# HBrunner 2006-08-09 last update: 2007-09-20
# needs to be called from <task> directory

set tsk=`grep TASK ChangeLog | awk '{print $2}'`
echo `grep Version ChangeLog` | awk '{print $2}' > VERSION

set release=`cat $SASS_ROOT/RELEASE`
set vers=`cat VERSION`
set arch=$tsk-$vers.tgz

cd ..

if ( -e $SW_ARCHIVE/$arch ) then
  echo $arch not updated
else
  echo creating $arch
  rm -f $tsk/*.o $tsk/*.lnk $tsk/*.log $tsk/version.for $tsk/*~ $tsk/\#*\#
  tar --exclude=scratch -czf $arch $tsk
  mv -i $arch $SW_ARCHIVE
  tar --exclude=local --exclude=scratch -czf  $arch $tsk
  mv -i $arch $SW_EXPARCH
  echo "$tsk $vers" >> $SASS_DIR/sw_export/${release}.patch  
endif

