#example script to init an environment to compile esass for M1 cpu arch
# A gueguen agueguen@mpe.mpg.de
# this section to be adapted tio the actual gcc / gfortran installed ( versiopn and installer brew/macport)
export CC=/opt/local/bin/gcc-mp-10
export CXX=/opt/local/bin/g++-mp-10
export FC=/opt/local/bin/gfortran-mp-10
export F77=/opt/local/bin/gfortran-mp-10

export PERL=/opt/local/bin/perl
export PYTHON=/opt/local/bin/python3
export PATH="/opt/bin:$PATH"

export HEADAS='<path/to/heaosftinstallation>/arm-apple-darwin21.3.0'
export HEALPIX='<path/to/external/Healpix_3.50>'
export MYFFT='<path/to/external/fftw-3.3.8/libprecision>'

#lapack is keg-only, which means it was not symlinked into /usr/local,
#because macOS provides LAPACK in Accelerate.framework.
#
#For compilers to find lapack you may need to set:
#  export LDFLAGS="-L/usr/local/opt/lapack/lib"
#  export CPPFLAGS="-I/usr/local/opt/lapack/include"
#same for ncurses and readline
#
#For pkg-config to find lapack you may need to set:
#  export PKG_CONFIG_PATH="/usr/local/opt/lapack/lib/pkgconfig"
