# this script remove all file produced during the configure and make / make install
# it restore the main folder in a state which can be used for a user release
# equivalent of makdistclean
STARTPWD=`pwd`
echo $STARTPWD
cd eSASS
#source object files
rm erosita/task/*/*.o
rm erosita/task/*/*.lo
rm erosita/task/*/*.mod
#intermediate files
rm autoconf/binaries/*/*.mod
rm autoconf/binaries/*/version.*
rm autoconf/binaries/*/VERSION

rm autoconf/libraries/*/*.mod
rm autoconf/libraries/*/*.la
rm autoconf/libraries/*/*.o
rm autoconf/libraries/*/*.lo

rm autoconf/libraries/*/version.*
rm autoconf/libraries/*/VERSION
rm autoconf/libraries/*/.libs/*.a
rm autoconf/libraries/*/.libs/*.la
rm autoconf/libraries/*/.libs/*.lai

# binaries and parameters files
rm -rf bin
rm -rf include
rm -rf lib
rm -rf par
rm -rf share
#autoconf :
rm autoconf/Makefile.in
rm autoconf/config.status
rm autoconf/config.log
rm autoconf/Makefile
rm autoconf/libraries/Makefile.in
rm autoconf/libraries/Makefile
rm autoconf/libraries/*/Makefile.in
rm autoconf/libraries/*/Makefile

rm autoconf/binaries/Makefile.in
rm autoconf/binaries/Makefile

rm autoconf/binaries/*/Makefile
rm autoconf/binaries/*/Makefile.in

for  taskname in  `ls autoconf/binaries`;
do
   #echo $taskname
   if [ -d "autoconf/binaries/$taskname" ]; then
   #echo "remove autoconf/binaries/$taskname/$taskname"
       rm autoconf/binaries/$taskname/$taskname
   fi
done
rm autoconf/binaries/catprep/catmerge

cd $STARTPWD
#section for the external
echo `pwd`
cd eSASS/autoconf/external
STARFOLDER=`pwd`
echo $STARFOLDER
cd dierckx
make clean
autoreconf -fi
cd $STARFOLDER
cd gsl-2.6
make clean
autoreconf -fi
cd $STARFOLDER
cd lapack
make clean
autoreconf -fi
cd $STARFOLDER
cd pil
make clean
autoreconf -fi
cd $STARFOLDER
cd slatec
make clean
autoreconf -fi
cd $STARFOLDER