#!/bin/csh

# build all tasks in package $1 [clean|lib|link]
# HBrunner 2006-06-21 last update: 2014-07-25

cd $SASS_ROOT/$1
rm -f status.log
cd task

foreach task ( `cat ../TASKS | awk '{print $1}'` )
  echo $task
  cd $SASS_ROOT/$1/task/$task
  make -i $2 >>& build.log
  if ( -e status.log ) then
    echo ${1}/${task}: `cat status.log` >> ../../status.log
    echo ${1}/${task}: `cat status.log`
  else
    echo ${1}/${task}: task:ok >> ../../status.log
    echo ${1}/${task}: task:ok
  endif
end









