#! /bin/csh
# check task and package dependencies
# HBrunner 2006-09-01

foreach task ( `awk '{print $1}' DEPEND` )

   if ( -r $SASS_ROOT/$task/VERSION ) then
     set vers=`awk -F. '{print $1}' $SASS_ROOT/$task/VERSION`
     set tvers="$task $vers."
     grep -q "$tvers" DEPEND || echo "**WARNING: wrong version of package $task"
   endif

   foreach pkg ( $SASS_ROOT/* )

     if ( -r $pkg/task/$task/VERSION ) then
       set vers=`awk -F. '{print $1}' $pkg/task/$task/VERSION`
       set tvers="$task $vers."
       grep -q "$tvers" DEPEND || echo "**WARNING: wrong version of task $task"     
     endif

   end

end

 
