#! /bin/csh
# Calls ar -r once for each object file. Purpose: make sure
# the libs get created even if some of the *.for files 
# don't compile
# HBrunner 2007-04-10 (last update: 2010-05-04)

cp *.mod ../../mod

set arstat='ok'
foreach obj ( $2 )
  ar -rs $1 $obj || set arstat='lib:err'
end

if ($arstat != 'ok') then
  echo $arstat >> status.log
endif




